Bug 1050916 - malformed output when coloring is on and grep -P has unicode input
malformed output when coloring is on and grep -P has unicode input
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grep (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jaroslav Škarvada
Filip Holec
: Rebase
Depends On: 799403
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-09 05:45 EST by Jaroslav Škarvada
Modified: 2016-04-18 06:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: 799403
Environment:
Last Closed: 2014-06-13 08:06:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2014-01-09 05:45:58 EST
+++ This bug was initially created as a clone of Bug #799403 +++

Description of problem:

I had to disable coloring to get readable output.

# echo €€ | grep -P '\p{L}'
����
# echo €€ | grep -P '\p{L}' --color=never
€€
# echo čř | grep -P '\p{L}' 
��
# echo čř | grep -P '\p{L}' --color=never
čř


Version-Release number of selected component (if applicable):
grep-2.10-2.fc17.x86_64


How reproducible:
always (I tried gnome-terminal, xterm)

Steps to Reproduce:
1. echo čř | grep -P '\p{L}'
2.
3.
  
Actual results:
��

Expected results:
čř

Additional info:

--- Additional comment from Jaroslav Škarvada on 2012-07-10 11:14:15 CEST ---

Upstream ticket:
https://savannah.gnu.org/bugs/index.php?36821

--- Additional comment from Fedora End Of Life on 2013-04-03 21:54:02 CEST ---

This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

--- Additional comment from Jaroslav Škarvada on 2014-01-03 14:07:19 CET ---

Moving to f20.

--- Additional comment from Fedora Update System on 2014-01-03 14:08:18 CET ---

grep-2.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-0042/grep-2.16-1.fc20

--- Additional comment from Jaroslav Škarvada on 2014-01-03 14:09:27 CET ---

With grep-2.16 I am unable to reproduce the problem any more.

--- Additional comment from Fedora Update System on 2014-01-04 20:55:11 CET ---

grep-2.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 1 Jaroslav Škarvada 2014-01-09 05:46:28 EST
The best approach to resolve this is rebase grep to 2.16.
Comment 3 Jan Grulich 2014-02-04 06:45:14 EST
Fixed in grep-2.16-1.el7.
Comment 6 Ludek Smid 2014-06-13 08:06:41 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.